<ng-container *ngIf="dispatchView else dataAwaitedBlk">
  <mat-expansion-panel class="parametersPanel">
    <mat-expansion-panel-header>
      <mat-panel-title>
        <mat-icon class="e-mat-icon e-mat-icon--2">date_range</mat-icon>
        <span class="eh-w-140 eh-ml-2">{{dateFC.value | date:'E | d-MMM-y':'+0530'}}</span>
        <span *ngIf="isNew" class="e-txt e-txt--matred300 eh-txt-12 eh-txt-bold eh-ml-8">
          New!
        </span>
      </mat-panel-title>

      <mat-panel-description fxLayoutAlign="end">


      </mat-panel-description>
    </mat-expansion-panel-header>

    <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="end">
      <div *ngIf="hasChanged" class="e-txt e-txt--matred600 eh-mr-6" fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="e-mat-icon e-mat-icon--3">warning</mat-icon>
      </div>
      <app-button-icon-title class="eh-w-20 eh-px-2 eh-mr-2" buttonStyle="e-txt e-txt--matred600"
        icon="settings_backup_restore" [disabled]="saving || deleting" (onButtonClick)="reset()">
      </app-button-icon-title>

      <app-button-icon-title class="eh-w-20 eh-px-2 eh-mr-2" buttonStyle="e-txt e-txt--matgreen500" icon="save"
        [loading]="deleting" (onButtonClick)="save()"></app-button-icon-title>

      <app-button-icon icon="delete" class="primary" [loading]="deleting" [disabled]="saving"
        (onButtonClick)="delete()">
      </app-button-icon>
    </div>

    <form [formGroup]="logFG" autocomplete="off">
      <div class="e-title eh-mt-16">
        <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">feedback</mat-icon>
        <span>General</span>
      </div>

      <div class="eh-mt-8 eh-py-12" fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Did you eat any meal out?
          </div>

          <div class="eh-ml-12 eh-py-8">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="isOutsideMeal"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <div class="eh-py-8" fxLayout="row" fxLayoutAlign="start">
          <div class="eh-txt eh-py-2">
            If yes, how many meals?
          </div>

          <div class="eh-py-8">
            <mat-form-field>
              <input class="eh-w-100p" matInput formControlName="outsideMealsCount" type="text">
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="eh-mt-8" fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Any change in routine?
          </div>
          <div class="eh-ml-12">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="isRoutineChanged"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <div class="eh-py-6 eh-mb-4 eh-mt-8 " fxLayout="column" fxLayoutAlign="start">
          <div class="eh-txt eh-py-2">
            If yes, please share details.
          </div>
          <div class="e-bg e-bg--eblue250 eh-mt-4 ">
            <mat-form-field>
              <textarea matInput formControlName="routineChangeDetails" class="eh-hide-scrollbars" matInput rows="5"
                cols="40"></textarea>
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="eh-mt-8 eh-py-6" fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Hungry between meals?
          </div>
          <div class="eh-ml-12">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="isHungryBetweenMeals"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>
      </div>

      <div class="eh-mt-8 eh-py-6" fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Did you consume alcohol?
          </div>
          <div class="eh-ml-2">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="isAlcoholConsumed"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <div class="eh-py-6" fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            If yes, how much?
          </div>
          <div class="eh-ml-12">
            <mat-form-field>
              <input matInput formControlName="alcoholConsumedDetails" type="text" matInput rows="5" cols="40">
            </mat-form-field>
          </div>
        </div>
      </div>

      <div class="eh-mt-8">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Water intake as recommended?
          </div>
          <div fxLayout="row" fxLayoutAlign="start center">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="isHydrationFollowed"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>

        <div fxLayout="row" fxLayoutAlign="start baseline" class="eh-mt-8">
          <div class="eh-txt">
            Avg intake/day
          </div>
          <div class="eh-ml-4">
            <mat-form-field>
              <input matInput formControlName="hydrationIntake" type="text" rows="5" cols="40">
            </mat-form-field>
          </div>
          <div class="eh-ml-4">
            litre
          </div>
        </div>
      </div>

      <div class="e-title eh-mt-16">
        <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">content_paste</mat-icon>
        <span>Overall Feedback</span>
      </div>

      <div class="e-bg e-bg--eblue250 eh-mt-16 eh-ml-8 eh-px-4">
        <mat-form-field>
          <textarea matInput formControlName="overallFeedback" class="eh-hide-scrollbars" rows="5" cols="40"></textarea>
        </mat-form-field>
      </div>

      <div class="e-title eh-mt-16">
        <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">feedback</mat-icon>
        <span>Athlete Feedback</span>
      </div>

      <div class="eh-mt-16" fxLayout="column">
        <div fxLayout="row" fxLayoutAlign="start center">
          <div class="eh-txt">
            Did you have any competition?
          </div>
          <div class="">
            <mat-radio-group class="e-mat-radio-group" matInput formControlName="hadCompetition"
              aria-label="Select an option">
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                Yes
              </mat-radio-button>
              <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                No
              </mat-radio-button>
            </mat-radio-group>
          </div>
        </div>


        <div class="eh-mt-16" fxLayout="column">
          <div fxLayout="column" fxLayoutAlign="start">
            <div class="eh-txt eh-py-6">
              How was your performance?
            </div>
            <div class="e-bg e-bg--eblue250 eh-py-6">
              <mat-form-field>
                <textarea matInput formControlName="competitionPerformance" class="eh-hide-scrollbars" matInput rows="5"
                  cols="40"></textarea>
              </mat-form-field>
            </div>
          </div>

          <div fxLayout="column" fxLayoutAlign="start">
            <div class="eh-txt eh-py-6">
              How was your recovery?
            </div>

            <div class="e-bg e-bg--eblue250 ">
              <mat-form-field>
                <textarea matInput formControlName="competitionRecovery" class="eh-hide-scrollbars" matInput rows="5"
                  cols="40"></textarea>
              </mat-form-field>
            </div>
          </div>
        </div>

        <div class="eh-mt-8" fxLayout="column">
          <div fxLayout="row" fxLayoutAlign="start center">
            <div class="eh-txt eh-py-6">
              Any upcoming competitions?
            </div>
            <div class="eh-ml-12">
              <mat-radio-group class="e-mat-radio-group" matInput formControlName="upcomingCompetition"
                aria-label="Select an option">
                <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="true">
                  Yes
                </mat-radio-button>
                <mat-radio-button class="eh-ml-8 eh-txt-12" [value]="false">
                  No
                </mat-radio-button>
              </mat-radio-group>
            </div>
          </div>

          <div class="eh-py-6" fxLayout="column" fxLayoutAlign="start">
            <div class="eh-txt eh-py-6">
              If yes, please specify what & when.
            </div>
            <div class="e-bg e-bg--eblue250 eh-py-6">
              <mat-form-field>
                <textarea matInput formControlName="upcomingCompetitionDetails" class="eh-hide-scrollbars" matInput
                  rows="5" cols="40"></textarea>
              </mat-form-field>
            </div>
          </div>
        </div>
      </div>
    </form>
  </mat-expansion-panel>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>